org.mariadb.jdbc.internal.util.pool

## Class GlobalStateInfo

- java.lang.Object
- - org.mariadb.jdbc.internal.util.pool.GlobalStateInfo

    public class GlobalStateInfo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`GlobalStateInfo()` Default value.
`GlobalStateInfo(long maxAllowedPacket, int waitTimeout, boolean autocommit, int autoIncrementIncrement, String timeZone, String systemTimeZone, int defaultTransactionIsolation)` Storing global server state to avoid asking server each new connection.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAutoIncrementIncrement()`
`int` `getDefaultTransactionIsolation()`
`long` `getMaxAllowedPacket()`
`String` `getSystemTimeZone()`
`String` `getTimeZone()`
`int` `getWaitTimeout()`
`boolean` `isAutocommit()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GlobalStateInfo

    public GlobalStateInfo()

Default value. ! To be used for Connection that will only Kill query/connection !

#### GlobalStateInfo

    public GlobalStateInfo(long maxAllowedPacket,
                           int waitTimeout,
                           boolean autocommit,
                           int autoIncrementIncrement,
                           String timeZone,
                           String systemTimeZone,
                           int defaultTransactionIsolation)

Storing global server state to avoid asking server each new connection. Using this Object meaning having set the option "staticGlobal". Application must not change any of the following options.

Parameters:
  `maxAllowedPacket` - max_allowed_packet global variable value
  `waitTimeout` - wait_timeout global variable value
  `autocommit` - auto_commit global variable value
  `autoIncrementIncrement` - auto_increment_increment global variable value
  `timeZone` - time_zone global variable value
  `systemTimeZone` - System global variable value
  `defaultTransactionIsolation` - tx_isolation variable value

### Method Detail

#### getMaxAllowedPacket

    public long getMaxAllowedPacket()

#### getWaitTimeout

    public int getWaitTimeout()

#### isAutocommit

    public boolean isAutocommit()

#### getAutoIncrementIncrement

    public int getAutoIncrementIncrement()

#### getTimeZone

    public String getTimeZone()

#### getSystemTimeZone

    public String getSystemTimeZone()

#### getDefaultTransactionIsolation

    public int getDefaultTransactionIsolation()